Page MenuHomePhabricator

OOUI PopupWidget : need to Notify caller when popup widget closes
Closed, ResolvedPublicBUG REPORT

Description

Automatically closes the popup when user tabs away
from the PopupWidget.

Close event allows widget callers to get notified when widget closes
This allows caller do things like get focus back.

Also, adding aria-label to close button.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 5 2020, 10:52 PM

Change 585342 had a related patch set uploaded (by Tam-edwin-microsoft; owner: Akinwale-microsoft):
[oojs/ui@master] PopupWidget: Notify caller when popup widget closes

https://gerrit.wikimedia.org/r/585342

Change 585342 merged by jenkins-bot:
[oojs/ui@master] PopupWidget: Notify caller when popup widget closes

https://gerrit.wikimedia.org/r/585342

matmarex moved this task from Backlog to Next-up on the OOUI board.Jul 9 2020, 1:01 PM
Volker_E moved this task from Next-up to OOUI-0.39.3 on the OOUI board.Jul 9 2020, 6:42 PM
Volker_E edited projects, added OOUI (OOUI-0.39.3); removed OOUI.
Tam-edwin-microsoft added a comment.EditedJul 10 2020, 2:50 AM

Hi, I just want to confirm if this T257165 and T257167 will make MW 1.35 next week.
Because I see in Gerrit the v0.39.3 tag happened on July 08 while the actual merge of the patches happened later on July 09

Thanks!

Change 611174 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.39.3

https://gerrit.wikimedia.org/r/611174

Change 611174 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.39.3

https://gerrit.wikimedia.org/r/611174

@Tam-edwin-microsoft All of the patches where “Update OOUI to v0.39.3” have made it onto the next release still in time for 1.35, rollout starting next Tuesday. :)

Volker_E closed this task as Resolved.Jul 10 2020, 6:15 PM
Volker_E triaged this task as Medium priority.

Awesome, thanks a lot @Volker_E! I have tagged a couple patches on the mediawiki side that use the new popup events for review. T257171 T257173 and T257175